Update budget metadata
PATCH
/partners/budgets/{uuid}Updates budget metadata. Rejected when the budget is published or locked.
HMAC signature + Bearer access token
Try this requestPath parameters
uuiduuidrequiredThe budget UUID.
Request body
namestringUpdated name.
startPerioddateUpdated start period.
cadenceenumUpdated cadence.
One of: monthly, yearly
actualPeriodsintegerUpdated actual period count.
budgetPeriodsintegerUpdated budget period count.
isOverallbooleanPromote to Overall Budget when allowed.
Responses
200Budget updated.400Budget is published, locked, or validation failed.404Budget not found.401Missing or invalid HMAC signature, expired timestamp, or invalid Bearer token. Troubleshoot403The credential does not have access to this workspace or resource. Troubleshoot429Rate limit exceeded (100 requests per minute per clientId). Retry after the Retry-After header. TroubleshootPATCH
https://api.getcount.com/partners/budgets/{uuid}Request
import crypto from 'node:crypto';
const BASE_URL = 'https://api.getcount.com';
const CLIENT_ID = process.env.COUNT_CLIENT_ID;
const CLIENT_SECRET = process.env.COUNT_CLIENT_SECRET;
const ACCESS_TOKEN = process.env.COUNT_ACCESS_TOKEN;
const method = 'PATCH';
const signingPath = '/budgets/3fa85f64-5717-4562-b3fc-2c963f66afa6';
const timestamp = Math.floor(Date.now() / 1000).toString();
const body = {
"name": "FY 2026 Operating Budget — Revised"
};
const bodyString = JSON.stringify(body);
const bodyHash = crypto.createHash('sha256').update(bodyString).digest('hex');
const baseString = `${method}:${signingPath}:${timestamp}:${bodyHash}`;
const signature = crypto.createHmac('sha256', CLIENT_SECRET).update(baseString).digest('hex');
const response = await fetch(`${BASE_URL}/partners/budgets/3fa85f64-5717-4562-b3fc-2c963f66afa6`, {
method,
headers: {
'x-client-id': CLIENT_ID,
'x-timestamp': timestamp,
'x-signature': signature,
'Content-Type': 'application/json',
Authorization: `Bearer ${ACCESS_TOKEN}`,
},
body: bodyString,
});
console.log(await response.json());Response · 200
{
"status": "success",
"message": "Success on updating budget",
"data": {
"budget": {
"id": "55667788-99aa-bbcc-ddee-ff0011223344",
"name": "FY 2026 Operating Budget",
"startPeriod": "2026-01-01",
"cadence": "monthly",
"actualPeriods": 3,
"budgetPeriods": 12,
"currencyCode": "USD",
"status": "draft",
"lockedAt": null,
"isOverall": false,
"versions": [
{
"versionNumber": 1,
"label": "Initial",
"isPublished": false,
"createdAt": "2026-01-15T10:30:00.000Z"
}
],
"createdAt": "2026-01-15T10:30:00.000Z",
"updatedAt": "2026-01-28T14:22:30.000Z"
}
}
}